@echo off
echo **************************************************************
echo * first argument is "a" to build an all new archive or       *
echo * "f" to freshen an existing one.  Second argument is the    *
echo * directory to place the archive (default is root) The files *
echo * to be archived are located in "arcfiles.lst" which MUST    *
echo * also be on your disk or this won't work. GAC 6/23/95       *
echo **************************************************************



if "%1"=="a" goto BUILD

if "%1"=="f" goto FRESHEN

goto USAGE

:BUILD
echo on
pkzip -a -P -eX -x@exclude.lst %2\bt.zip @arcfiles.lst
@echo off
goto END

:FRESHEN
echo on
pkzip -u -P -eX -x@exclude.lst %2\bt.zip @arcfiles.lst
@echo off
goto END

:NOLISTFILE
echo.
goto END

:NOEXCLUDEFILE
echo.
goto END

:USAGE
echo.
echo usage:  arcbt  mode  [[drive]  listfile]
echo           mode   a  build archive from scratch
echo                  f  freshen existing archive
echo           drive for archive file
echo           listfile specifies what files to store in archive
echo.
goto END

:END
